import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/activityInfo/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/activityInfo/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/activityInfo/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/activityInfo/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/activityInfo/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/activityInfo/delete/" + id);
}

function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/activityInfo/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function list() {
  return request.post(constant.serverUrl + "/base/activityInfo/list");
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,list
}